Overview
GET
/chat/conversations/{id}/messages/{mid}chatGet a single message
Fetch a record from messages by id, mid.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
- midpathstring
Responses
200
Message
- idstring
- rolestring
e.g. user, assistant, tool, system
- contentstring
- toolNamestring?
- createdAtstring
Example
{
"id": "string",
"role": "string",
"content": "string",
"toolName": "string",
"createdAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/chat/conversations/{id}/messages/{mid}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/chat/conversations/{id}/messages/{mid}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();